PHP Manual
Prev |  | Next

# RETURN_ZVAL

RETURN_ZVAL -- Return a zval value from a function

## Description

#include <zend_API.h>

void RETURN_ZVAL ( zval * zv, bool copy, bool dtor )

...

## Parameters

`zv`

  Pointer to the zval to return.

`copy`

  Create a copy of `zv` before returning it?

`dtor`

  Destruct the original value before returning from the function, this is needed if `zv` was only temporarily created within the function.

Prev | Home | Next
RETURN_UNICODEL | Up | UNREGISTER_INI_ENTRIES